// Based on uddi4j beta2
// URL http://www-124.ibm.com/developerworks/projects/uddi4j/

import org.uddi4j.client.*;
import org.uddi4j.datatype.business.*;
import org.uddi4j.datatype.*;
import org.uddi4j.response.*;
import java.io.*;
import java.util.Vector;

public class SaveBusinessExample {
	public static void main(String[] args) {

      		UDDIProxy proxy = new UDDIProxy();

		Vector businessVector = new Vector();
		try {
         		proxy.setInquiryURL("http://abc.def.com:9080/uddisoap/inquiryapi");
         		proxy.setPublishURL("http://abc.def.com:9080/uddisoap/publishapi");

         		AuthToken token = proxy.get_authToken("userid", "passwd" );

         		BusinessEntity be = new BusinessEntity("","tmp");

			Name businessNameRu = new Name("\u0440\u0443\u0441\u0441\u043a\u0438\u0439", "ru");
			Name businessNameCz = new Name("\u010de\u0161tina", "cs");
			Name businessNameGr = new Name("\u03b5\u03bb\u03bb\u03b7\u03bd\u03b9\u03ba\u03ac", "el");
			Name businessNameJa = new Name("\u65e5\u672c\u8a9e", "ja");
			Name businessNameVi = new Name("Ti\u1ec3ng Vi\u1ec7t", "vi");

			Vector vec = new Vector();
			vec.addElement(businessNameRu);
			vec.addElement(businessNameCz);
			vec.addElement(businessNameGr);
			vec.addElement(businessNameJa);
			vec.addElement(businessNameVi);
			be.setNameVector(vec);

         		businessVector.addElement(be);
         		BusinessDetail bd = proxy.save_business(token.getAuthInfoString(), businessVector);

		} catch (Exception e) {
			System.out.println(e);
		}
		
	}
}